oro:
    attachment:
        entity_label:        Attachment
        entity_plural_label: Attachments
        entity_grid_all_view_label: All %entity_plural_label%
        entity_description:  Attachment represents an uploaded file added to a record.

        id.label:            Id
        comment:
            label:           Comment
            description:     Attachment comment body content
        owner.label:         Owner
        organization.label:  Organization

        block_titles:
            attachments.label:  Attachments

        enabled:              Enable attachments
        maxsize:              Max allowed file size, Mb
        mimetypes:            Allowed MIME types
        mimetypes.tooltip:    The list of allowed MIME types.
        mimetypes.placeholder: Please select MIME type...

        max_size.tooltip:     Max allowed file size to upload in MB.
        thumb_width.tooltip:  Thumbnail width in pixels.
        thumb_height.tooltip: Thumbnail height in pixels.

        file:
            description:             The file that the attachment contains.
            label:                   File
            file.description:        Files attached to emails, comments, notes or other entity records.
            file.label:              File
            entity_label:            File
            entity_plural_label:     Files
            entity_grid_all_view_label: All %entity_plural_label%
            entity_description:      Files attached to emails, comments, notes or other entity records.
            id.label:                Id
            uuid:
                label:               UUID
                description:         Universally Unique Identifier of the file.
            filename.label:          File name
            original_filename:
                label:               Original file name
                description:         The name of the file uploaded to the system.
            filepath.label:          File path
            owner:
                label:               Owner
                description:         An user who is the owner of the file.
            extension.label:         Extension
            delete_file.label:       Delete
            file_size:
                label:               File size
                description:         The size of a file in bytes.
            mime_type:
                label:               Mime type
                description:         A media type and subtype of the file.
            content:
                label:               Content
                description:         The content of the file as a string.
            parent_entity_class:
                label:               Parent entity class
                description:         The class of the entity to which this file belongs.
            parent_entity_id:
                label:               Parent entity id
                description:         The ID of the entity to which this file belongs.
            parent_entity_field_name:
                label:               Parent entity field name
                description:         The field name where this file is stored of the entity to which this file belongs.
            external_url:
                label:               External URL
                description:         URL of the file that is stored externally on a third party service.

            uploaded_by.label: Uploaded By
            name.label: Name
            image.label: Image
            image_width.label: Width
            image_height.label: Height

        fileitem:
            entity_label: File Item
            entity_plural_label: File Items
            entity_grid_all_view_label: All %entity_plural_label%
            id.label: Id
            file.label: File
            image.label: Image
            sort_order.label: Sort Order

            file:
                add.label: Add File
                plural_label: Files
            image:
                add.label: Add Image
                plural_label: Images

        config:
            file_size_settings.label: File Size Settings
            externally_stored_files_settings:
                label: Externally Stored Files

            file_size.label:     File Size (MB)
            feature:
                attachment_processors_allowed:
                    title: Enable Image Optimization
                    tooltip: While additional image optimization may reduce the final image size it requires extra processing time and may increase the load on the system when uploading, importing or resizing many images at the same time.
                    label: Image Optimization Setting
                    description: Enables the system to optimize the images, reducing the final image size.
                attachment_processors:
                    label: Image Resize Quality Settings
                    description: Enables the system configuration settings that change the size and quality of the uploading .jpeg and .png images.
                attachment_processing:
                    label: Image Processing Settings
                    description: Enables a set of the image processing settings that control whether to optimize or not the size of the uploading images in the storage.
                webp:
                    label: WebP Image Format Settings
                    description: Enables converting images into the WebP format and controlling the quality of the resized WebP images.
                original_file_names_enabled:
                    label: Attachment Original File Names
                    description: Enables appending original file names to the system-generated hash values. All non-alphanumeric characters (e.g., ":),~") are replaced with "-" (dash).
            attachment_processors_settings:
                label: Image Processing
                description: Modification of the default value may cause temporary storefront slow-down until all product images are resized. The changes on the product listing page will not be applied immediately and will require manual start of the search re-index. Make sure that the harddrive has at least 50% space available as the resized images will be stored alongside the existing ones.
            webp_settings:
                label: WebP Settings
                description: Modification of the default value may cause temporary storefront slow-down until all product images are resized. The changes on the product listing page will not be applied immediately and will require manual start of the search re-index. Make sure that the harddrive has at least 50% space available as the resized images will be stored alongside the existing ones.
            webp_quality:
                label: WebP resize quality (%)
                tooltip: Determines the percentage of the .webp image resize quality (30%-100%). The higher the value, the better the image quality. Modification of the value may cause temporary storefront slow-down until all product images are resized.
            png_quality: PNG resize quality (%)
            png_preserve_quality: Preserve quality
            png_minimize_file_size: Minimize file size
            jpeg_quality: JPEG resize quality (%)
            quality_tooltip: Determines the percentage of image resize quality (30%-100%). The higher the value, the better the image quality. Modification of the value may cause temporary storefront slow-down until all product images are resized.
            thumb_width.label:   Thumbnail width
            thumb_height.label:  Thumbnail height
            attachment.label:    Upload Settings
            mime_types.label:    MIME Types
            upload_file_mime_types.label:  File MIME types
            upload_file_mime_types.tooltip: List of MIME file types that are permitted for upload.
            upload_image_mime_types.label: Image MIME types
            upload_image_mime_types.tooltip: List of MIME image types that are permitted for upload.
            external_file_allowed_urls_regexp:
                label: Allowed URLs RegExp
                tooltip: 'A regular expression that describes allowed URLs for externally stored files and images. If left empty, no external files and images will be allowed. Example: <b>^http://example\.org</b>'

            max_number_of_files:
                label: 'Maximum Number Of Files'
                tooltip: 'Maximum Number Of Files'

            is_stored_externally:
                label: 'Stored Externally'
                tooltip: 'The URLs of the external files should be publicly available. The URLs provided by the users should match the "Allowed URLs RegExp" specified in the system configuration. The system will not process, resize or modify the files that are stored externally.'

            file_names:
                label: File Names
                description: Modification of the default value may cause temporary storefront slow-down until all images are renamed. The URLs in the search index will not be updated immediately and will require manual start of the search re-index. Make sure that the harddrive has at least 50% space available as the renamed images will be stored alongside the existing ones.

            original_file_names_enabled:
                label: Enable Original File Names
                tooltip: Enable the option to append the original image file name to the system-generated hash value. All non-alphanumeric characters (e.g., ":),~") are replaced with "-" (dash).

            notice:
                storage_check_space: >
                    This configuration option may affect application disk space usage, please check with your
                    system administrator if you have enough space available.

        action:
            add:                 Add attachment
            update:              Update attachment
            saved:               Attachment saved successfully
            button:
                update:          Update
                delete:          Delete

        formatter:
            image_link:
                default: N/A

        frontend:
            file:
                file.label: File
                mime_type.label: Type
                file_size.label: Size
                created_at.label: Created At

        import:
            entity_is_skipped: 'File importing has failed, entity is skipped'
            failed_to_upload_or_clone: 'Failed to either upload or clone file from the existing one: file not found by specified UUID and nothing is specified for uploading. Please make sure %fieldname%.URI and %fieldname%.UUID columns are present in the import file and have the correct values.'
            failed_to_upload: 'Failed to upload a file from %path% for field %fieldname%: %error%'
            failed_to_process_external_file: 'Failed to fetch external file metadata from %url% for field %fieldname%: %error%'
            failed_to_clone: 'Failed to clone a file from %origin_uuid% for field %fieldname%: %error%'
            failed_to_clone_forbidden: 'you do not have permission to view the file with uuid %origin_uuid%'
            failed_to_clone_origin_file_empty: 'file is empty or not found'
            file_constraint_violation: 'File validation failed for field %fieldname%: %error%'
            multi_file_constraint_violation: 'File validation failed for element %index% of field %fieldname%: %error%'
            multi_file_field_constraint_violation: 'Validation failed for field %fieldname%: %error%'
            multi_image_field_constraint_violation: 'Validation failed for field %fieldname%: %error%'
            file_external_url_violation: 'File URL ("%url%") validation failed for field %fieldname%: %error%'

    entity_extend:
        form:
            data_type:
                file:  File
                image: Image
